diff --git a/Vitis_Classic/NewInstCal_bsp/platform.tcl b/Vitis_Classic/NewInstCal_bsp/platform.tcl
index 9963194..533e1f5 100644
--- a/Vitis_Classic/NewInstCal_bsp/platform.tcl
+++ b/Vitis_Classic/NewInstCal_bsp/platform.tcl
@@ -27,3 +27,5 @@ bsp reload
 platform active {NewInstCal_bsp}
 platform config -updatehw {/home/ly0kos/work/prj/New_CalBoard/2.FW/Zynq/Debug_FW/Vitis_Classic/system_wrapper.xsa}
 platform generate
+platform active {NewInstCal_bsp}
+platform generate
diff --git a/Vitis_Classic/NewInstCal_bsp/ps7_cortexa9_0/standalone_domain/bsp/Makefile b/Vitis_Classic/NewInstCal_bsp/ps7_cortexa9_0/standalone_domain/bsp/Makefile
index c99f4a8..092c81c 100644
--- a/Vitis_Classic/NewInstCal_bsp/ps7_cortexa9_0/standalone_domain/bsp/Makefile
+++ b/Vitis_Classic/NewInstCal_bsp/ps7_cortexa9_0/standalone_domain/bsp/Makefile
@@ -16,7 +16,7 @@ endif
 
 all: 
 	$(MAKE) --no-print-directory seq_libs
-	$(MAKE) -j 30 --no-print-directory par_libs
+	$(MAKE) -j 6 --no-print-directory par_libs
 	$(MAKE) --no-print-directory archive
 	@echo 'Finished building libraries'
 
diff --git a/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/Makefile b/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/Makefile
index bc213b0..dcec3ee 100644
--- a/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/Makefile
+++ b/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/Makefile
@@ -8,11 +8,9 @@ LN_FLAGS :=  -mcpu=cortex-a9 -mfpu=vfpv3 -mfloat-abi=hard -Wl,-build-id=none -sp
 
 c_SOURCES := $(wildcard *.c)
 S_SOURCES := $(wildcard *.S)
-s_SOURCES := $(wildcard *.s)
 INCLUDES := $(wildcard *.h)
 OBJS := $(patsubst %.c, %.o, $(c_SOURCES))
 OBJS += $(patsubst %.S, %.o, $(S_SOURCES))
-OBJS += $(patsubst %.s, %.o, $(s_SOURCES))
 LSCRIPT := -Tlscript.ld
 
 CURRENT_DIR = $(shell pwd)
diff --git a/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/main.c b/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/main.c
index 4f7c2d0..780401b 100644
--- a/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/main.c
+++ b/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/main.c
@@ -151,7 +151,8 @@
 #endif
 
 /**************************** Type Definitions *******************************/
-
+#define FSBL_DEBUG_INFO
+#define QSPI_BYPASS
 /***************** Macros (Inline Functions) Definitions *********************/
 
 #ifdef XPAR_XWDTPS_0_BASEADDR
@@ -374,6 +375,10 @@ int main(void)
 	BootModeRegister = Xil_In32(BOOT_MODE_REG);
 	BootModeRegister &= BOOT_MODES_MASK;
 
+#ifdef QSPI_BYPASS
+	BootModeRegister = JTAG_MODE;
+#endif
+
 	/*
 	 * QSPI BOOT MODE
 	 */
diff --git a/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/zynq_fsbl_bsp/Makefile b/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/zynq_fsbl_bsp/Makefile
index 76ea0a4..9b0fddf 100644
--- a/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/zynq_fsbl_bsp/Makefile
+++ b/Vitis_Classic/NewInstCal_bsp/zynq_fsbl/zynq_fsbl_bsp/Makefile
@@ -16,7 +16,7 @@ endif
 
 all: 
 	$(MAKE) --no-print-directory seq_libs
-	$(MAKE) -j 30 --no-print-directory par_libs
+	$(MAKE) -j 6 --no-print-directory par_libs
 	$(MAKE) --no-print-directory archive
 	@echo 'Finished building libraries'
 
